/*
 * ProgrammZaehler2.cs
 */
using System;

namespace Beringer.oopBuch.EinfacheBsp
{
    /**
    <summary>
    Programmklasse (Applikation) zum Testen der Klasse 'Zaehler2'.

    <p>
    Seit: November 2004
    </p>

    <seealso cref="Zaehler2" />
    <seealso cref="ProgrammZaehler" />
    <seealso cref="Zaehler3Testen" />

    Autor: Beringer Alfred
    </summary>
    <remarks>
    Diese Programmklasse beinhaltet die Applikation zum Testen - besser ist es, 
    eine eigene Applikationsklasse zu definieren.
    </remarks>
    */
    public class ProgrammZaehler2
    {
        /** --------------------------------------------------------------------
        <summary>
        Der Einstiegspunkt für die Anwendung.
        </summary>

        <param name="args">
          Kommandozeilenparameter
        </param>
        */
        public static void Main(String[ ] args)
        {
            Zaehler2 z;

            z = new Zaehler2();
            z.Erhoehen();
            Console.WriteLine("Wert = " + z.Wert);                  // liefert 1

            for (int k = 1; k <= 3; k++)
            {
                for (int i = 1; i <= 80; i++)
                {
                    z.Erhoehen();
                }
                Console.WriteLine("Wert = " + z.Wert);       // liefert 81,61,41
            }

            // Zugriff auf Klassenvariable:
            Console.WriteLine("Endwert = " + Zaehler2.Endwert());  // liefert 99

            Zaehler2.Endwert(40);
            Console.WriteLine("Endwert = " + Zaehler2.Endwert());  // liefert 40

#if DEBUG
            Console.ReadLine();
#endif
        }
    }
}
