/*
 * ProgrammOrganisationTesten.cs
 */
using System;

namespace Beringer.oopBuch.Organisation
{
    /**
    <summary>
    Programmklasse (Applikation) zum Testen des Beispiels 
    "Personen - Mitarbeiter - Organisationen" (Buch Kap.4.4).

    <p>
    Seit: August 2007
    </p>

    <seealso cref="OrganisationTesten" />

    Autor: Beringer Alfred
    </summary>
    */
    public class ProgrammOrganisationTesten
    {
        /** --------------------------------------------------------------------
        <summary>
        Der Haupteinstiegspunkt für die Anwendung.
        </summary>

        <param name="args">
          Kommandozeilenparameter
        </param>
        */
        public static void Main(String[] args)
        {
            OrganisationTesten  app = new OrganisationTesten();
            app.Start();
        }
    }
}
