/*
 * ProgrammErfassenSchreiben.java
 */
package at.beringer.oopBuch.einAusgabe;

/**
Programmklasse (Applikation) zum Testen der Klasse 'ErfassenSchreiben'.
<p>
Der Dateiname wird beim Aufruf als Parameter übergeben.
</p>

<hr />

@since August 2007

@see ErfassenSchreiben

@author Beringer Alfred
*/
public class ProgrammErfassenSchreiben
{
    // -------------------------------------------------------------------------
    /**
    Der Einstiegspunkt für die Anwendung.

    @param  args  Kommandozeilenparameter - Name der Ausgabedatei
    */
    public static void main(String[ ] args)
    {
        if (args == null || args.length == 0)
        {
            // Fehlt der Dateiname, wird die Datei fix vorgegeben:
            args = new String[ ] { "schueler.dat" };
        }

        ErfassenSchreiben  app = new ErfassenSchreiben();
        app.start(args[0]);                 // Dateiname als Parameter übergeben
    }
}
