/*
 * ProgrammErfassenSchreiben.java
 */
package at.beringer.oopBuch.einAusgabeSwingView;

/**
Programmklasse (Applikation) für die Klasse 'ErfassenSchreibenV'.
<p>
Der Dateiname wird beim Aufruf als Parameter übergeben.
</p>

<hr />

@since Juli 2014

@see ErfassenSchreibenV

@author Beringer Alfred
*/
public class ProgrammErfassenSchreiben
{
    // -------------------------------------------------------------------------
    /**
    Der Einstiegspunkt für die Anwendung.

    @param  args  Kommandozeilenparameter - Name der Ausgabedatei
    */
    public static void main(String[ ] args)
    {
        if (args == null || args.length == 0)
        {
            // Fehlt der Dateiname, wird die Datei fix vorgegeben:
            args = new String[ ] { "schueler.dat" };
        }

        javax.swing.JFrame  rahmen = new ErfassenSchreibenV(args[0]);
                                            // Dateiname als Parameter übergeben
        rahmen.setVisible(true);
    }
}
