/*
 * Hauptfenster1A.java
 */
package at.beringer.oopBuch.guiSwing;

import javax.swing.*;

/**
Einfaches Hauptfenster mit unabhängigem Ereigniswächter A.
<p>
Controller-Klasse: 'FensterWaechterA'
</p>

<hr />

@since Mai 2000
@version Jänner 2002 (Swing JDK 1.2)

@see FensterWaechterA
@see ProgrammHauptfenster1A
@see Hauptfenster1B
@see Hauptfenster2
@see Hauptfenster3

@author Beringer Alfred
*/
public class Hauptfenster1A extends JFrame
{
    // -------------------------------------------------------------------------
    // Konstruktoren
    // -------------------------------------------------------------------------

    /**
    Standardkonstruktor
    */
    public Hauptfenster1A()
    {
        this.setTitle("Swing-Hauptfenster1A - unabhängige Klasse");
        this.setSize(480, 260);
        this.addWindowListener(new FensterWaechterA());
                                                // anmelden beim Ereigniswächter
    }
}
