/*
 * ProgrammMusterfenster.java
 */
package at.beringer.oopBuch.guiSwing;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;

/**
Programmklasse (Applikation) für die Klasse 'MusterfensterV'.

<hr />

@since Jänner 2002
@version Dezember 2004 (deprecated-Methode 'show' von Window-Klasse ersetzt)

@see MusterfensterV

@author Beringer Alfred
*/
public class ProgrammMusterfenster
{
    // -------------------------------------------------------------------------
    /**
    Der Einstiegspunkt für die Anwendung.

    @param  args  Kommandozeilenparameter
    */
    public static void main(String[ ] args)
    {
        SwingUtilities.invokeLater(new Runnable()
              {
                  @Override
                  public void run()
                  {
                      try
                      {
                          UIManager.setLookAndFeel(
                                  UIManager.getSystemLookAndFeelClassName());
                      }
                      catch (Exception e)
                      {
                          System.err.println("System-LnF nicht gefunden");
                      }
                      JFrame  rahmen = new MusterfensterV();
                      rahmen.setVisible(true);
                  }
              });
    }
}
