/*
 * ProgrammDialogStandard.java
 */
package at.beringer.oopBuch.guiSwingI18N;

/**
Programmklasse (Applikation) für die Klasse 'DialogStandardV'.

<hr />

@since Jänner 2002
@version Dezember 2004 (deprecated-Methode 'show' von Window-Klasse ersetzt)
@version <br />Juni 2006 (Look and Feel für Windows)

@see DialogStandardV
@see ProgrammDialogModal
@see DialogModalElternfensterV
@see DialogModalKindfensterV

@author Beringer Alfred
*/
public class ProgrammDialogStandard
{
    /** ------------------------------------------------------------------------
    Der Einstiegspunkt für die Anwendung.

    @param  args  Kommandozeilenparameter
    */
    public static void main(String[ ] args)
    {
        javax.swing.SwingUtilities.invokeLater(new Runnable()
              {
                  @Override
                  public void run()
                  {
                      try
                      {
                          javax.swing.UIManager.setLookAndFeel(
                           javax.swing.UIManager.getSystemLookAndFeelClassName()
                                                              );
                      }
                      catch (Exception e)
                      {
                          System.err.println("LnF nicht gefunden");
                      }
                      javax.swing.JFrame  rahmen = new DialogStandardV();
                      rahmen.setVisible(true);
                  }
              });
    }
}
