<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks® Personal Use Edition, 7.10.1 of 06. Februar 2014 on 31. Mai 2014 at 12:10:54</time-stamp>


<class>
<name>Zaehler3</name>
<environment>BeringerEinfacheBsp</environment>
<super>BeringerEinfacheBsp.Zaehler</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars>Endwert </class-inst-vars>
<imports></imports>
<category>Einfache Beispiele</category>
<attributes>
<package>einfacheBsp</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>BeringerEinfacheBsp.Zaehler3 class</class-id> <category>class initialization</category>

<body package="einfacheBsp" selector="initialize">initialize
	"Klassenkonstruktor.
	 Für einen zweistelligen Zähler wird der Endwert auf 99 gesetzt."

	Endwert := 99</body>
</methods>

<methods>
<class-id>BeringerEinfacheBsp.Zaehler3 class</class-id> <category>accessing</category>

<body package="einfacheBsp" selector="endwert">endwert

	^ Endwert</body>

<body package="einfacheBsp" selector="endwert:">endwert: endwert
	"Definiert einen neuen Endwert für den Zähler - es erfolgt keine Prüfung auf Plausibilität!"

	Endwert := endwert</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>BeringerEinfacheBsp.Zaehler3</class-id>
<body>Beispielklasse für Vererbung - entspricht der Klasse 'Zaehler2'.
Erweiterung der Klasse 'Zaehler' mit einem Klassenattribut für den Endwert.

Class Instance Variables
	Endwert	&lt;Integer&gt;		maximaler Wert des Zählers

**************************************
"Zaehler3Testen"

| z |

Transcript clear.

z := Zaehler3 new.
z erhoehen.
1 to: 3 do: [ :k |
	1 to: 80 do: [ :i |
		z erhoehen 
	].
	Transcript cr;
			show: z wert printString
]
</body>
</comment>

<methods>
<class-id>BeringerEinfacheBsp.Zaehler3</class-id> <category>private</category>

<body package="einfacheBsp" selector="wert:">wert: neuerWert
	"Überschreibt die entsprechende 'Zaehler'-Methode.
	 Der neue Zählerwert wird nun auf Plausibilität geprüft: Er muss zwischen 0 und Endwert liegen."

	super wert: neuerWert.
	( (self wert &gt; self class endwert) or: [self wert &lt; 0] )
		ifTrue: [
			self reset
		]</body>
</methods>

<initialize>
<class-id>BeringerEinfacheBsp.Zaehler3</class-id>
</initialize>

</st-source>
