<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks® Personal Use Edition, 7.10.1 of 06. Februar 2014 on 31. Mai 2014 at 11:32:25</time-stamp>


<class>
<name>Abteilung</name>
<environment>BeringerOrganisation</environment>
<super>BeringerOrganisation.Organisation</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>einnahmen </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>Beispiel Organisation</category>
<attributes>
<package>organisation</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>BeringerOrganisation.Abteilung class</class-id> <category>instance creation</category>

<body package="organisation" selector="new">new

	^ super new initialize</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>BeringerOrganisation.Abteilung</class-id>
<body>Instanzen repräsentieren Abteilungen (als spezielle organisatorische Einheiten) in einem Unternehmen.

Instance Variables
	einnahmen	&lt;Float&gt;		Einnahmen
</body>
</comment>

<methods>
<class-id>BeringerOrganisation.Abteilung</class-id> <category>accessing</category>

<body package="organisation" selector="einnahmen">einnahmen

	^ einnahmen</body>
</methods>

<methods>
<class-id>BeringerOrganisation.Abteilung</class-id> <category>initialize-release</category>

<body package="organisation" selector="initialize">initialize
	"Initialisiert eine neu erstellte Instanz."

	super initialize.
	self einnahmen: 0.
	^ self</body>
</methods>

<methods>
<class-id>BeringerOrganisation.Abteilung</class-id> <category>private</category>

<body package="organisation" selector="einnahmen:">einnahmen: eineZahl
	"Simuliert Setzen der Einnahmen.
	 Diese Set-Methode dient nur zum Testen (Einnahmen ergeben sich ja nur aus anderen Methoden wie überweisen, verkaufen o.ä.)."

	einnahmen := eineZahl</body>
</methods>

<methods>
<class-id>BeringerOrganisation.Abteilung</class-id> <category>berechnungen</category>

<body package="organisation" selector="addiereZuEinnahmen:">addiereZuEinnahmen: eineZahl
	"Einnahmen werden erhöht"

	self einnahmen: self einnahmen + eineZahl</body>

<body package="organisation" selector="gewinnOhnePraemie">gewinnOhnePraemie
	"Liefert den Bruttogewinn des Empfängers"

	^ self einnahmen - self gesamtkostenOhnePraemie</body>
</methods>

</st-source>
