"Anwendungsprogramm für Beispiel Personen-Mitarbeiter-Organisation"

| mita11 mita12 mita2 mitp1 mitp21 mitp22 
  mana1  mana2  manp1 manp2
  abt1   abt2
  proj1  proj2 |

Mitarbeiter initialize.

abt1 := Abteilung new.
abt1 name: 'Abt1';
     einnahmen: 200000;
     sachkosten: 7000.

abt2 := Abteilung new.
abt2 name: 'Abt2';
     einnahmen: 350000.

proj1 := Projekt new.
proj1 name: 'Projekt1'.

proj2 := Projekt new.
proj2 name: 'Projekt2';
      sachkosten: 5500;
      planZeit: 2;
      planJahresgewinn: 600000;
      planLebensdauer: 6.

"mita11 := Mitarbeiter new.		***error*** geht nicht"
mita11 := Mitarbeiter newGeburtsdatum: (Date readFromString:'07/17/1962') geschlecht: $M.
mita11 name: 'Huber Hans'.
mita11 grundgehalt: 2100;
       organisation: abt1.

mita12 := Mitarbeiter newGeburtsdatum: (Date readFromString:'01/13/1977') geschlecht: $W.
mita12 name: 'Irene Gross'.
mita12 grundgehalt: 2500;
       organisation: abt1.

mita2 := Mitarbeiter newName: 'Karli' geburtsdatum: (Date today) geschlecht: $M.
mita2 organisation: abt2.

mitp1 := Mitarbeiter newName: 'Doris' geburtsdatum: (Date today) geschlecht: $W.
mitp1 organisation: proj1.

mitp21 := Mitarbeiter newName: 'Hansi' geburtsdatum: (Date today) geschlecht: $M.
mitp21 organisation: proj2.

mitp22 := Mitarbeiter newName: 'Helga' geburtsdatum: (Date today) geschlecht: $W.
mitp22 organisation: proj2.

mana1 := Manager newName: 'Klammer Franz' geburtsdatum: (Date today) geschlecht: $M.
mana1 grundgehalt: 5500;
      organisation: abt1;
      geleiteteOrganisation: abt1.

mana2 := Manager newName: 'Muster Tom' geburtsdatum: (Date today) geschlecht: $M.
mana2 organisation: abt2;
      geleiteteOrganisation: abt2.

manp1 := Manager newName: 'Toni' geburtsdatum: (Date today) geschlecht: $M.
manp1 organisation: proj1;
      geleiteteOrganisation: proj1.

manp2 := Manager newName: 'Annemarie' geburtsdatum: (Date today) geschlecht: $W.
manp2 grundgehalt: 4700;
      organisation: proj2;
      geleiteteOrganisation: proj2.

Transcript clear; show: 'Personalnummern: ' , 
                                     mita11 persNr printString , ' ' , mita12 persNr printString , ' ' ,
                                     mita2 persNr printString  , ' ' , mitp1 persNr printString  , ' ' ,
                                     mitp21 persNr printString , ' ' , mitp22 persNr printString , ' ' ,
                                     mana1 persNr printString  , ' ' , mana2 persNr printString  , ' ' ,
                                     manp1 persNr printString  , ' ' , manp2 persNr printString.

Transcript cr; show: mita12 anrede printString.
Transcript cr; show: mana1 anrede printString.

Transcript cr; show: mita11 alterBerechnen printString.
Transcript cr; show: mita12 alterBerechnen printString.

Transcript cr; show: mita11 verdient printString.
Transcript cr; show: mana1 verdient printString.
Transcript cr; show: manp2 verdient printString.

abt1 druckeAlleMitarbeiter.     Transcript cr.
abt2 druckeAlleMitarbeiter.     Transcript cr.
proj1 druckeAlleMitarbeiter.    Transcript cr.
proj2 druckeAlleMitarbeiter.    Transcript cr.

abt1 druckeKostenUebersicht.    Transcript cr.
proj2 druckeKostenUebersicht.   Transcript cr.
