<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks® Personal Use Edition, 7.10.1 of 06. Februar 2014 on 31. Mai 2014 at 11:32:55</time-stamp>


<class>
<name>Projekt</name>
<environment>BeringerOrganisation</environment>
<super>BeringerOrganisation.Organisation</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>planZeit planJahresgewinn planLebensdauer </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>Beispiel Organisation</category>
<attributes>
<package>organisation</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>BeringerOrganisation.Projekt class</class-id> <category>instance creation</category>

<body package="organisation" selector="new">new

	^ super new initialize</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>BeringerOrganisation.Projekt</class-id>
<body>Instanzen repräsentieren Projekte (als spezielle organisatorische Einheiten) in einem Unternehmen.

Instance Variables
	planZeit				&lt;Integer&gt;		geplante Zeit
	planJahresgewinn	&lt;Float&gt;		geplanter Jahresgewinn
	planLebensdauer	&lt;Integer&gt;		geplante Lebensdauer
</body>
</comment>

<methods>
<class-id>BeringerOrganisation.Projekt</class-id> <category>accessing</category>

<body package="organisation" selector="planJahresgewinn">planJahresgewinn

	^ planJahresgewinn</body>

<body package="organisation" selector="planJahresgewinn:">planJahresgewinn: eineZahl

	planJahresgewinn := eineZahl</body>

<body package="organisation" selector="planLebensdauer">planLebensdauer

	^ planLebensdauer</body>

<body package="organisation" selector="planLebensdauer:">planLebensdauer: anzahlJahre

	planLebensdauer := anzahlJahre</body>

<body package="organisation" selector="planZeit">planZeit

	^ planZeit</body>

<body package="organisation" selector="planZeit:">planZeit: anzahlJahre

	planZeit := anzahlJahre</body>
</methods>

<methods>
<class-id>BeringerOrganisation.Projekt</class-id> <category>initialize-release</category>

<body package="organisation" selector="initialize">initialize
	"Initialisiert eine neu erstellte Instanz."

	super initialize.
	self
		planZeit: 1;
		planJahresgewinn: 0;
		planLebensdauer: 0.
	^ self</body>
</methods>

<methods>
<class-id>BeringerOrganisation.Projekt</class-id> <category>berechnungen</category>

<body package="organisation" selector="gewinnOhnePraemie">gewinnOhnePraemie
	"Liefert den Bruttogewinn des Empfängers (pro Monat)"

	^ (planJahresgewinn * planLebensdauer) / (planZeit * 12) - self gesamtkostenOhnePraemie</body>
</methods>

</st-source>
