/*
 * DatumTesten.cs
 */
using System;

namespace Beringer.oopBuch.EinfacheBsp
{
    /**
    <summary>
    Applikation zum Testen der Klasse 'Datum'.

    <p>
    Seit: November 2004
    </p>

    <seealso cref="Datum" />
    <seealso cref="Beringer.oopBuch.EinfacheBspProgramme.ProgrammDatumTesten"/>

    Autor: Beringer Alfred
    </summary>
    */
    public class DatumTesten
    {
        /** --------------------------------------------------------------------
        <summary>
        Start-Methode zum Testen der Applikation.
        </summary>
        */
        public void Start()
        {
            int    jj = 2000;
            Datum  today = new Datum(),
                   hdat,
                   dat = new Datum(1950,4,25);

            if (Datum.IstSchaltjahr(jj))
            {
                Console.WriteLine(jj + " = Schaltjahr");
            }
            else
            {
                Console.WriteLine(jj + " = kein Schaltjahr");
            }
            Console.WriteLine();

            Console.WriteLine("today = " + today);

            if (today.IstSchaltjahr())
            {
                Console.WriteLine(today.JJ + " ist ein Schaltjahr");
            }
            else
            {
                Console.WriteLine(today.JJ + " ist kein Schaltjahr");
            }

            Console.WriteLine("Lfd. Tag des Jahres = " 
                              + today.LfdTagDesJahres());
            Console.WriteLine();

            Console.WriteLine("dat   = " + dat);
            Console.WriteLine();

            Console.WriteLine("heutiger Tag = " + Datum.Heute().TT);
            hdat = Datum.Heute();
            Console.WriteLine("hdat  = " + hdat);
        
            hdat = (Datum)dat.Clone();
            Console.WriteLine("hdat  = " + hdat);

#if DEBUG
            Console.ReadLine();
#endif
        }
    }
}
