/*
 * Zaehler3Testen.cs
 */
using System;

namespace Beringer.oopBuch.EinfacheBsp
{
    /**
    <summary>
    Applikation zum Testen der Klasse 'Zaehler3' - entspricht der Applikation
    'ProgrammZaehler2'.

    <p>
    Seit: November 2004
    </p>

    <seealso cref="Zaehler3" />
    <seealso cref="Beringer.oopBuch.EinfacheBspProgramme.ProgrammZaehler3Testen"/>
    <seealso cref="ProgrammZaehler" />
    <seealso cref="ProgrammZaehler2" />

    Autor: Beringer Alfred
    </summary>
    */
    public class Zaehler3Testen
    {
        /** --------------------------------------------------------------------
        <summary>
        Start-Methode zum Testen der Applikation.
        </summary>
        */
        public void Start()
        {
            Zaehler3  z;

            z = new Zaehler3();
            z.Erhoehen();
            Console.WriteLine("Wert = " + z.Wert);                  // liefert 1

            for (int k = 1; k <= 3; k++)
            {
                for (int i = 1; i <= 80; i++)
                {
                    z.Erhoehen();
                }
                Console.WriteLine("Wert = " + z.Wert);       // liefert 81,61,41
            }

            // Zugriff auf Klassenvariable:
            Console.WriteLine("Endwert = " + Zaehler3.Endwert());  // liefert 99

            Zaehler3.Endwert(40);
            Console.WriteLine("Endwert = " + Zaehler3.Endwert());  // liefert 40

#if DEBUG
            Console.ReadLine();
#endif
        }
    }
}
