/*
 * ProgrammZaehler.cs
 */

using System;

namespace Beringer.oopBuch.EinfacheBsp
{
    /**
    <summary>
    Programmklasse (Applikation) zum Testen der Klasse 'Zaehler'.

    <p>
    Seit: November 2004
    </p>

    <seealso cref="Zaehler" />
    <seealso cref="ProgrammZaehler2" />
    <seealso cref="Zaehler3Testen" />

    Autor: Beringer Alfred
    </summary>
    <remarks>
    Diese Programmklasse beinhaltet die Applikation zum Testen - besser ist es, 
    eine eigene Applikationsklasse zu definieren.
    </remarks>
    */
    public class ProgrammZaehler
    {
        /** --------------------------------------------------------------------
        <summary>
        Der Einstiegspunkt für die Anwendung.
        </summary>

        <param name="args">
          Kommandozeilenparameter
        </param>
        */
        public static void Main(String[] args)
        {
            Zaehler z;

            z = new Zaehler();
            z.Erhoehen();
            Console.WriteLine(z.Wert);

#if DEBUG
            Console.ReadLine();
#endif
        }
    }
}
