/*
 * Fenster1.cs
 */
using System;
using System.Windows.Forms;
using System.Drawing;

namespace Beringer.oopBuch.GUI
{
    /**
     <summary>
       Einfachstes Hauptfenster ohne Ereignisse.
       <p>
       <seealso cref="Fenster" />
       <seealso cref="Program" />
       <p>
         Seit: August 2005 <br />
         Autor: Beringer Alfred
       </p>
     </summary>
     */
    public class Fenster1 : Form
    {
        // ---------------------------------------------------------------------
        // Klassenmethode 'Main'
        // ---------------------------------------------------------------------

        public static void Main(String[] args)
        {
            Application.Run(new Fenster1());      // Fensterinstanz erzeugen und
                                                  //    Applikation starten
        }

        // ---------------------------------------------------------------------
        // Konstruktoren
        // ---------------------------------------------------------------------

        /**
         <summary>
           Standardkonstruktor
         </summary>
         */
        public Fenster1()
        {
            this.Text = "Titelzeile1";            // Text für Titelzeile
            this.Size = new Size(400, 260);       // Fenstergröße definieren
        }
    }
}
