/*
 * ProgrammDialogModal.cs
 */
using System;
using System.Windows.Forms;

namespace Beringer.oopBuch.GUI
{
    /**
    <summary>
    Programmklasse (Applikation) zum Testen der 
    Klassen 'DialogModalElternfensterV' und 'DialogModalKindfensterV'.

    <p>
    Seit: August 2005
    </p>

    <seealso cref="DialogModalElternfensterV" />

    Autor: Beringer Alfred
    </summary>
    */
    public static class ProgrammDialogModal
    {
        /** --------------------------------------------------------------------
        <summary>
        Der Haupteinstiegspunkt für die Anwendung.
        </summary>
        */
        [STAThread]
        public static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new DialogModalElternfensterV());
        }
    }
}
