// OrganisationProgramm.cpp : Definiert den Einstiegspunkt fr die Konsolenanwendung.
//

#include "stdafx.h"
#include <iostream>
#include "PersonOrganisation.h"

using namespace std;

void main()
{
  Datum dat1(17,  7, 1962),
        dat2(13,  1, 1977),
        heute;
  Mitarbeiter mita11("Huber Hans      ", dat1, 'M'),
              mita12("Irene Gross     ", dat2, 'W'),
              mita2 ("Karli           ", heute, 'M'),
              mitp1 ("Doris           ", heute, 'W'),
              mitp21("Hansi           ", heute, 'M'),
              mitp22("Helga           ", heute, 'W');
  Manager     mana1 ("Klammer Franz   ", heute, 'M'),
              mana2 ("Muster Tom      ", heute, 'M'),
              manp1 ("Toni            ", heute, 'M'),
              manp2 ("Annemarie       ", heute, 'W');
  Abteilung abt1,
            abt2;
  Projekt proj1,
          proj2;

  abt1.setName("Abt1");
  abt1.setEinnahmen(200000.0f);
  abt1.setSachkosten(7000.0f);
  abt2.setName("Abt2");
  abt2.setEinnahmen(350000.0f);
  proj1.setName("Projekt1");
  proj2.setName("Projekt2");
  proj2.setSachkosten(5500.0f);
  proj2.setPlanZeit(2);
  proj2.setPlanJahresgewinn(600000.0f);
  proj2.setPlanLebensdauer(6);

  cout << "Organisation abt1:  Name =" << abt1.getName()              << "*" << endl;
  cout << "      Anzahl Mitarbeiter =" << abt1.getAnzahlMitarb()      << "*" << endl;
  cout << "              Sachkosten =" << abt1.getSachkosten()        << "*" << endl;
  cout << "Organisation abt2:  Name =" << abt2.getName()              << "*" << endl;
  cout << "      Anzahl Mitarbeiter =" << abt2.getAnzahlMitarb()      << "*" << endl;
  cout << "              Sachkosten =" << abt2.getSachkosten()        << "*" << endl;
  cout << "Organisation proj1: Name =" << proj1.getName()             << "*" << endl;
  cout << "      Anzahl Mitarbeiter =" << proj1.getAnzahlMitarb()     << "*" << endl;
  cout << "              Sachkosten =" << proj1.getSachkosten()       << "*" << endl;
  cout << "Organisation proj2: Name =" << proj2.getName()             << "*" << endl;
  cout << "      Anzahl Mitarbeiter =" << proj2.getAnzahlMitarb()     << "*" << endl;
  cout << "              Sachkosten =" << proj2.getSachkosten()       << "*" << endl;
  cout << "                Planzeit =" << proj2.getPlanZeit()         << "*" << endl;
  cout << "        PlanJahresgewinn =" << proj2.getPlanJahresgewinn() << "*" << endl;
  cout << "         PlanLebensdauer =" << proj2.getPlanLebensdauer()  << "*" << endl;

  system("pause");

  mita11.setGrundgehalt(2100.0f);
  mita11.setOrganisation(abt1);

  cout << "Mitarbeiter mita11: Name =" << mita11.getName()                    << "*" << endl;
  cout << "                  Anrede =" << mita11.anrede()                     << "*" << endl;
  cout << "                GebDatum =" << mita11.getGebDatum().getJJ() << "-"
                                       << mita11.getGebDatum().getMM() << "-"
                                       << mita11.getGebDatum().getTT()        << "*" << endl;
  cout << "                   Alter =" << mita11.alter()                      << "*" << endl;
  cout << "              Geschlecht =" << mita11.getGeschlecht()              << "*" << endl;
  cout << "                 Adresse =" << mita11.getAdresse()                 << "*" << endl;
  cout << "          Personalnummer =" << mita11.getPersNr()                  << "*" << endl;
  cout << "                Stellung =" << mita11.getStellung()                << "*" << endl;
  cout << "             Grundgehalt =" << mita11.getGrundgehalt()             << "*" << endl;
  cout << "                verdient =" << mita11.verdient()                   << "*" << endl;
  cout << "            Organisation =" << mita11.getOrganisation().getName()  << "*" << endl;
  cout << endl;

  mita12.setGrundgehalt(2500.0f);
  mita12.setOrganisation(abt1);

  cout << "Mitarbeiter mita12: Name =" << mita12.getName()                    << "*" << endl;
  cout << "                  Anrede =" << mita12.anrede()                     << "*" << endl;
  cout << "                GebDatum =" << mita12.getGebDatum().getJJ() << "-"
                                       << mita12.getGebDatum().getMM() << "-"
                                       << mita12.getGebDatum().getTT()        << "*" << endl;
  cout << "                   Alter =" << mita12.alter()                      << "*" << endl;
  cout << "              Geschlecht =" << mita12.getGeschlecht()              << "*" << endl;
  cout << "                 Adresse =" << mita12.getAdresse()                 << "*" << endl;
  cout << "          Personalnummer =" << mita12.getPersNr()                  << "*" << endl;
  cout << "                Stellung =" << mita12.getStellung()                << "*" << endl;
  cout << "             Grundgehalt =" << mita12.getGrundgehalt()             << "*" << endl;
  cout << "                verdient =" << mita12.verdient()                   << "*" << endl;
  cout << "            Organisation =" << mita12.getOrganisation().getName()  << "*" << endl;

  system("pause");

  mita2.setOrganisation(abt2);

  cout << "Mitarbeiter mita2: Name ="  << mita2.getName()                     << "*" << endl;
  cout << "               GebDatum ="  << mita2.getGebDatum().getJJ() << "-"
                                       << mita2.getGebDatum().getMM() << "-"
                                       << mita2.getGebDatum().getTT()         << "*" << endl;
  cout << "                  Alter ="  << mita2.alter()                       << "*" << endl;
  cout << "             Geschlecht ="  << mita2.getGeschlecht()               << "*" << endl;
  cout << "                Adresse ="  << mita2.getAdresse()                  << "*" << endl;
  cout << "         Personalnummer ="  << mita2.getPersNr()                   << "*" << endl;
  cout << "               Stellung ="  << mita2.getStellung()                 << "*" << endl;
  cout << "            Grundgehalt ="  << mita2.getGrundgehalt()              << "*" << endl;
  cout << "           Organisation ="  << mita2.getOrganisation().getName()   << "*" << endl;
  cout << endl;

  mitp1.setOrganisation(proj1);

  cout << "Mitarbeiter mitp1: Name ="  << mitp1.getName()                     << "*" << endl;
  cout << "               GebDatum ="  << mitp1.getGebDatum().getJJ() << "-"
                                       << mitp1.getGebDatum().getMM() << "-"
                                       << mitp1.getGebDatum().getTT()         << "*" << endl;
  cout << "                  Alter ="  << mitp1.alter()                       << "*" << endl;
  cout << "             Geschlecht ="  << mitp1.getGeschlecht()               << "*" << endl;
  cout << "                Adresse ="  << mitp1.getAdresse()                  << "*" << endl;
  cout << "         Personalnummer ="  << mitp1.getPersNr()                   << "*" << endl;
  cout << "               Stellung ="  << mitp1.getStellung()                 << "*" << endl;
  cout << "            Grundgehalt ="  << mitp1.getGrundgehalt()              << "*" << endl;
  cout << "           Organisation ="  << mitp1.getOrganisation().getName()   << "*" << endl;

  system("pause");

  mitp21.setOrganisation(proj2);

  cout << "Mitarbeiter mitp21: Name =" << mitp21.getName()                    << "*" << endl;
  cout << "                GebDatum =" << mitp21.getGebDatum().getJJ() << "-"
                                       << mitp21.getGebDatum().getMM() << "-"
                                       << mitp21.getGebDatum().getTT()        << "*" << endl;
  cout << "                   Alter =" << mitp21.alter()                      << "*" << endl;
  cout << "              Geschlecht =" << mitp21.getGeschlecht()              << "*" << endl;
  cout << "                 Adresse =" << mitp21.getAdresse()                 << "*" << endl;
  cout << "          Personalnummer =" << mitp21.getPersNr()                  << "*" << endl;
  cout << "                Stellung =" << mitp21.getStellung()                << "*" << endl;
  cout << "             Grundgehalt =" << mitp21.getGrundgehalt()             << "*" << endl;
  cout << "            Organisation =" << mitp21.getOrganisation().getName()  << "*" << endl;
  cout << endl;

  mitp22.setOrganisation(proj2);

  cout << "Mitarbeiter mitp22: Name =" << mitp22.getName()                    << "*" << endl;
  cout << "                GebDatum =" << mitp22.getGebDatum().getJJ() << "-"
                                       << mitp22.getGebDatum().getMM() << "-"
                                       << mitp22.getGebDatum().getTT()        << "*" << endl;
  cout << "                   Alter =" << mitp22.alter()                      << "*" << endl;
  cout << "              Geschlecht =" << mitp22.getGeschlecht()              << "*" << endl;
  cout << "                 Adresse =" << mitp22.getAdresse()                 << "*" << endl;
  cout << "          Personalnummer =" << mitp22.getPersNr()                  << "*" << endl;
  cout << "                Stellung =" << mitp22.getStellung()                << "*" << endl;
  cout << "             Grundgehalt =" << mitp22.getGrundgehalt()             << "*" << endl;
  cout << "            Organisation =" << mitp22.getOrganisation().getName()  << "*" << endl;

  system("pause");

  mana1.setGrundgehalt(5500.0f);
  mana1.setOrganisation(abt1);
  mana1.setGeleiteteOrganisation(abt1);

  cout << "Manager mana1: Name =" << mana1.getName()                             << "*" << endl;
  cout << "           GebDatum =" << mana1.getGebDatum().getJJ() << "-"
                                  << mana1.getGebDatum().getMM() << "-"
                                  << mana1.getGebDatum().getTT()                 << "*" << endl;
  cout << "         Geschlecht =" << mana1.getGeschlecht()                       << "*" << endl;
  cout << "            Adresse =" << mana1.getAdresse()                          << "*" << endl;
  cout << "     Personalnummer =" << mana1.getPersNr()                           << "*" << endl;
  cout << "           Stellung =" << mana1.getStellung()                         << "*" << endl;
  cout << "        Grundgehalt =" << mana1.getGrundgehalt()                      << "*" << endl;
  cout << "           verdient =" << mana1.verdient()                            << "*" << endl;
  cout << "       Organisation =" << mana1.getOrganisation().getName()           << "*" << endl;
  cout << "             leitet =" << mana1.getGeleiteteOrganisation().getName()  << "*" << endl;
  cout << endl;

  mana2.setOrganisation(abt2);
  mana2.setGeleiteteOrganisation(abt2);

  cout << "Manager mana2: Name =" << mana2.getName()                             << "*" << endl;
  cout << "           GebDatum =" << mana2.getGebDatum().getJJ() << "-"
                                  << mana2.getGebDatum().getMM() << "-"
                                  << mana2.getGebDatum().getTT()                 << "*" << endl;
  cout << "         Geschlecht =" << mana2.getGeschlecht()                       << "*" << endl;
  cout << "            Adresse =" << mana2.getAdresse()                          << "*" << endl;
  cout << "     Personalnummer =" << mana2.getPersNr()                           << "*" << endl;
  cout << "           Stellung =" << mana2.getStellung()                         << "*" << endl;
  cout << "        Grundgehalt =" << mana2.getGrundgehalt()                      << "*" << endl;
  cout << "           verdient =" << mana2.verdient()                            << "*" << endl;
  cout << "       Organisation =" << mana2.getOrganisation().getName()           << "*" << endl;
  cout << "             leitet =" << mana2.getGeleiteteOrganisation().getName()  << "*" << endl;

  system("pause");

  manp1.setOrganisation(proj1);
  manp1.setGeleiteteOrganisation(proj1);

  cout << "Manager manp1: Name =" << manp1.getName()                             << "*" << endl;
  cout << "           GebDatum =" << manp1.getGebDatum().getJJ() << "-"
                                  << manp1.getGebDatum().getMM() << "-"
                                  << manp1.getGebDatum().getTT()                 << "*" << endl;
  cout << "         Geschlecht =" << manp1.getGeschlecht()                       << "*" << endl;
  cout << "            Adresse =" << manp1.getAdresse()                          << "*" << endl;
  cout << "     Personalnummer =" << manp1.getPersNr()                           << "*" << endl;
  cout << "           Stellung =" << manp1.getStellung()                         << "*" << endl;
  cout << "        Grundgehalt =" << manp1.getGrundgehalt()                      << "*" << endl;
  cout << "           verdient =" << manp1.verdient()                            << "*" << endl;
  cout << "       Organisation =" << manp1.getOrganisation().getName()           << "*" << endl;
  cout << "             leitet =" << manp1.getGeleiteteOrganisation().getName()  << "*" << endl;
  cout << endl;

  manp2.setGrundgehalt(4700.0f);
  manp2.setOrganisation(proj2);
  manp2.setGeleiteteOrganisation(proj2);

  cout << "Manager manp2: Name =" << manp2.getName()                             << "*" << endl;
  cout << "           GebDatum =" << manp2.getGebDatum().getJJ() << "-"
                                  << manp2.getGebDatum().getMM() << "-"
                                  << manp2.getGebDatum().getTT()                 << "*" << endl;
  cout << "         Geschlecht =" << manp2.getGeschlecht()                       << "*" << endl;
  cout << "            Adresse =" << manp2.getAdresse()                          << "*" << endl;
  cout << "     Personalnummer =" << manp2.getPersNr()                           << "*" << endl;
  cout << "           Stellung =" << manp2.getStellung()                         << "*" << endl;
  cout << "        Grundgehalt =" << manp2.getGrundgehalt()                      << "*" << endl;
  cout << "           verdient =" << manp2.verdient()                            << "*" << endl;
  cout << "       Organisation =" << manp2.getOrganisation().getName()           << "*" << endl;
  cout << "             leitet =" << manp2.getGeleiteteOrganisation().getName()  << "*" << endl;

  system("pause");

  cout << "Organisation abt1:  Name =" << abt1.getName()                    << "*" << endl;
  cout << "      Anzahl Mitarbeiter =" << abt1.getAnzahlMitarb()            << "*" << endl;
  cout << "                  Leiter =" << abt1.getLeiter().getName()        << "*" << endl;
  cout << "Organisation abt2:  Name =" << abt2.getName()                    << "*" << endl;
  cout << "      Anzahl Mitarbeiter =" << abt2.getAnzahlMitarb()            << "*" << endl;
  cout << "                  Leiter =" << abt2.getLeiter().getName()        << "*" << endl;
  cout << "Organisation proj1: Name =" << proj1.getName()                   << "*" << endl;
  cout << "      Anzahl Mitarbeiter =" << proj1.getAnzahlMitarb()           << "*" << endl;
  cout << "                  Leiter =" << proj1.getLeiter().getName()       << "*" << endl;
  cout << "Organisation proj2: Name =" << proj2.getName()                   << "*" << endl;
  cout << "      Anzahl Mitarbeiter =" << proj2.getAnzahlMitarb()           << "*" << endl;
  cout << "                  Leiter =" << proj2.getLeiter().getName()       << "*" << endl;

  system("pause");

  cout << "Personalnummern: "
       << mita11.getPersNr() << " " << mita12.getPersNr() << " "
       << mita2.getPersNr()  << " " << mitp1.getPersNr()  << " "
       << mitp21.getPersNr() << " " << mitp22.getPersNr() << " "
       << mana1.getPersNr()  << " " << mana2.getPersNr()  << " "
       << manp1.getPersNr()  << " " << manp2.getPersNr()  << " " << endl;

  cout << mita12.anrede() << endl;
  cout << mana1.anrede() << endl;

  cout << mita11.alter() << endl;
  cout << mita12.alter() << endl;

  cout << mita11.verdient() << endl;
  cout << mana1.verdient() << endl;
  cout << manp2.verdient() << endl;

  system("pause");

  abt1.druckeAlleMitarbeiter();
  abt2.druckeAlleMitarbeiter();
  proj1.druckeAlleMitarbeiter();
  proj2.druckeAlleMitarbeiter();

  system("pause");

  abt1.druckeKostenUebersicht();
  cout << endl;
  abt2.druckeKostenUebersicht();

  system("pause");

  proj1.druckeKostenUebersicht();
  cout << endl;
  proj2.druckeKostenUebersicht();

  system("pause");
}
