/*
 * ProgrammLesenAusgebenJTable.java
 */
package at.beringer.oopBuch.einAusgabeSwing;

/**
Programmklasse (Applikation) für die Klasse 'LesenAusgebenJTableV'.
<p>
Der Dateiname wird beim Aufruf als Parameter übergeben.
</p>

<hr />

@since Mai 2013

@see LesenAusgebenJTableV

@author Beringer Alfred
*/
public class ProgrammLesenAusgebenJTable
{
    // -------------------------------------------------------------------------
    /**
    Der Einstiegspunkt für die Anwendung.

    @param  args  Kommandozeilenparameter - Name der Eingabedatei
    */
    public static void main(String[ ] args)
    {
        if (args == null || args.length == 0)
        {
            // Fehlt der Dateiname, wird die Datei fix vorgegeben:
            args = new String[ ] { "schueler.dat" };
        }

        javax.swing.JFrame  rahmen = new LesenAusgebenJTableV(args[0]);
                                            // Dateiname als Parameter übergeben
        rahmen.setVisible(true);
    }
}
