/*
 * AutoM.java
 */
package at.beringer.oopBuch.einfacheBsp;

/**
Model-Klasse für Testzwecke mit Trivialmethode 'ausgeben' und mit 
Initialisierungen von Attributen (insbesondere des Auto-Besitzers).
<p>
Diese Klasse dient nur als Fachobjekt ("model") für die
GUI-Beispiele 'MusterfensterV', 'MenueV' und den 'Dialog'-Fensterklassen.
</p>

<hr />

@since Jänner 2002
@version Juli 2012 (PKW-Klasse umbenennen auf 'Auto'.
                    Initialisierung des Besitzers im Konstruktor.)

@see Auto
@see at.beringer.oopBuch.guiSwing.MusterfensterV
@see at.beringer.oopBuch.guiSwing.MenueV
@see at.beringer.oopBuch.guiSwingI18N.DialogModalElternfensterV
@see at.beringer.oopBuch.guiSwingI18N.DialogModalKindfensterV
@see at.beringer.oopBuch.guiSwingI18N.DialogStandardV

@author Beringer Alfred
*/
public class AutoM extends Auto
{
    // -------------------------------------------------------------------------
    // Konstruktoren
    // -------------------------------------------------------------------------

    public AutoM()
    {
        setMwstSatz(20);
        setFarbe("blau");
        setBesitzer(new Person(1980, Person.MAENNLICH));
        getBesitzer().aendernVorname("Hugo");
    }

    // -------------------------------------------------------------------------
    // Neue Instanzmethoden
    // -------------------------------------------------------------------------

    /**
    Ausgabe eines übergebenen Textes auf die Standardausgabe.

    @param  s  auszugebender Text
    */
    public void ausgeben(String s)
    {
        System.out.println(s);
    }
}
