/*
 * AutoTesten.java
 */
package at.beringer.oopBuch.einfacheBsp;

/**
Applikation zum Testen der Klasse 'Auto'.

<hr />

@since Jänner 2002
@version August 2007 (eigene Programmklasse)
@version <br />Juli 2012 (PKW-Klasse umbenennen auf 'Auto')

@see Auto
@see Person
@see ProgrammAutoTesten

@author Beringer Alfred
*/
public class AutoTesten
{
    // -------------------------------------------------------------------------
    // Instanzmethoden
    // -------------------------------------------------------------------------

    /**
    Start-Methode zum Testen der Applikation.
    */
    public void start()
    {
        Auto  herbie;                    // Referenz für Auto-Instanz definieren

        herbie = new Auto();             // Auto-Instanz erzeugen

        herbie.setBesitzer(new Person(1980, 'M'));
        herbie.setFarbe("blau");         // Farbe ändern
        herbie.raufschalten();           // 2. Gang
        herbie.zeigeInhalt();

        Auto.setMwstSatz(20);            // Mehrwertsteuersatz ändern

        herbie.getBesitzer().aendernVorname("Hugo");  // Vorname Besitzer ändern
        herbie.raufschalten();           // 3. Gang
        herbie.raufschalten();           // 4. Gang
        herbie.zeigeInhalt();

        herbie.runterschalten();         // 3. Gang
        herbie.beschleunigen();
        herbie.zeigeInhalt();

        herbie.bremsen();
        herbie.zeigeInhalt();

        System.out.println(
                    "--------------------------------------------------------");
        System.out.println(
                    "Auto-Daten mit Hilfe der Methode 'toString()' anschauen:");
        System.out.println(herbie);
    }
}
