/*
 * DatumTesten.java
 */
package at.beringer.oopBuch.einfacheBsp;

/**
Applikation zum Testen der Klasse 'Datum'.

<hr />

@since August 1999
@version August 2007 (eigene Programmklasse)

@see Datum
@see ProgrammDatumTesten

@author Beringer Alfred
*/
public class DatumTesten
{
    // -------------------------------------------------------------------------
    // Instanzmethoden
    // -------------------------------------------------------------------------

    /**
    Start-Methode zum Testen der Applikation.
    */
    public void start()
    {
        int    jj    = 2000;
        Datum  today = new Datum(),
               hdat,
               dat   = new Datum(1950,4,25);

        if (Datum.istSchaltjahr(jj))
        {
            System.out.println(jj + " = Schaltjahr");
        }
        else
        {
            System.out.println(jj + " = kein Schaltjahr");
        }
        System.out.println();

        System.out.println("today = " + today);

        if (today.istSchaltjahr())
        {
            System.out.println(today.jj() + " ist ein Schaltjahr");
        }
        else
        {
            System.out.println(today.jj() + " ist kein Schaltjahr");
        }

        System.out.println("Lfd. Tag des Jahres = " + today.lfdTagDesJahres());
        System.out.println();

        System.out.println("dat   = " + dat);
        System.out.println();

        System.out.println("heutiger Tag = " + Datum.heute().tt());
        System.out.println("aktueller Monat = " + Datum.heute().monatsname());
        hdat = Datum.heute();
        System.out.println("hdat  = " + hdat);
        
        hdat = (Datum)dat.clone();
        System.out.println("hdat  = " + hdat);
    }
}
