/*
 * Zaehler3Testen.java
 */
package at.beringer.oopBuch.einfacheBsp;

/**
Applikation zum Testen der Klasse 'Zaehler3' - entspricht der Applikation
'ProgrammZaehler2'.

<hr />

@since April 2002
@version August 2007 (eigene Programmklasse)

@see Zaehler3
@see ProgrammZaehler3Testen
@see ProgrammZaehler
@see ProgrammZaehler2

@author Beringer Alfred
*/
public class Zaehler3Testen
{
    // -------------------------------------------------------------------------
    // Instanzmethoden
    // -------------------------------------------------------------------------

    /**
    Start-Methode zum Testen der Applikation.
    */
    public void start()
    {
        Zaehler3  z;

        z = new Zaehler3();
        z.erhoehen();
        System.out.println("Wert = " + z.getWert());                // liefert 1

        for (int k = 1; k <= 3; k++)
        {
            for (int i = 1; i <= 80; i++)
            {
                z.erhoehen();
            }
            System.out.println("Wert = " + z.getWert());     // liefert 81,61,41
        }

        // Zugriff auf Klassenvariable:
        System.out.println("Endwert = " + Zaehler3.getEndwert());  // liefert 99

        Zaehler3.setEndwert(40);
        System.out.println("Endwert = " + Zaehler3.getEndwert());  // liefert 40
    }
}
