/*
 * Fenster.java
 */
package at.beringer.oopBuch.guiSwing;

import javax.swing.JFrame;

/**
Applikation für einfachstes Fenster der Klasse 'JFrame'.

<hr />

@since Mai 2000
@version Jänner 2002 (Swing ab JDK 1.3)
@version <br />Dezember 2004 (deprecated-Methode 'show' von Window-Klasse 
                              ersetzt)
@see Fenster1
@see Fenster2

@author Beringer Alfred
*/
public class Fenster
{
    // -------------------------------------------------------------------------
    // Klassenmethode 'main'
    // -------------------------------------------------------------------------

    /**
    Der Einstiegspunkt für die Anwendung.

    @param  args  Kommandozeilenparameter
    */
    public static void main(String[ ] args)
    {
        JFrame  rahmen = new JFrame();                // Fensterinstanz erzeugen

        rahmen.setTitle("Swing-Fenster - Titelzeile");    // Text für Titelzeile
        rahmen.setSize(480, 260);                     // Fenstergröße definieren
                                              // Achtung: Standardgröße = (0,0)!
        rahmen.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
                       // Definition für Standardoperation seit JDK 1.3 möglich
                       // Achtung: Fenster wird standardmäßig nicht geschlossen!
        rahmen.setVisible(true);      // Fenster anzeigen und nach vorne bringen
    }
}
