/*
 * Fenster1.java
 */
package at.beringer.oopBuch.guiSwing;

import javax.swing.JFrame;

/**
Einfachstes Hauptfenster ohne Ereigniswächter (Variante 1).

<hr />

@since Mai 2000
@version Jänner 2002 (Swing ab JDK 1.3)
@version <br />Dezember 2004 (deprecated-Methode 'show' von Window-Klasse 
                              ersetzt)

@see Fenster
@see Fenster2

@author Beringer Alfred
*/
public class Fenster1 extends JFrame
{
    // -------------------------------------------------------------------------
    // Klassenmethode 'main'
    // -------------------------------------------------------------------------

    /**
    Der Einstiegspunkt für die Anwendung.

    @param  args  Kommandozeilenparameter
    */
    public static void main(String[ ] args)
    {
        JFrame  rahmen = new Fenster1();              // Fensterinstanz erzeugen

        rahmen.setVisible(true);      // Fenster anzeigen und nach vorne bringen
    }

    // -------------------------------------------------------------------------
    // Konstruktoren
    // -------------------------------------------------------------------------

    /**
    Standardkonstruktor
    */
    public Fenster1()
    {
        this.setTitle("Swing-Fenster1 - Titelzeile");     // Text für Titelzeile
        this.setSize(480, 260);                       // Fenstergröße definieren
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
                        // Definition für Standardoperation seit JDK 1.3 möglich
    }
}
