/*
 * Fenster2.java
 */
package at.beringer.oopBuch.guiSwing;

import javax.swing.JFrame;

/**
Einfachstes Hauptfenster ohne Ereigniswächter (Variante 2).

<hr />

@since Mai 2000
@version Jänner 2002 (Swing ab JDK 1.3)
@version <br />Dezember 2004 (deprecated-Methode 'show' von Window-Klasse 
                              ersetzt)

@see Fenster
@see Fenster1

@author Beringer Alfred
*/
public class Fenster2 extends JFrame
{
    // -------------------------------------------------------------------------
    // Klassenmethode 'main'
    // -------------------------------------------------------------------------

    /**
    Der Einstiegspunkt für die Anwendung.

    @param  args  Kommandozeilenparameter
    */
    public static void main(String[ ] args)
    {
      new Fenster2("Swing-Fenster2 - Titelzeile");    // Fensterinstanz erzeugen
    }

    // -------------------------------------------------------------------------
    // Konstruktoren
    // -------------------------------------------------------------------------

    /**
    Konstruktor mit Parameter für Titelzeilentext.

    @param  titel  Titelzeilentext
    */
    public Fenster2(String titel)
    {
        super(titel);      // Text für Titelzeile (mit einem JFrame-Konstruktor)
        this.setSize(480, 260);                       // Fenstergröße definieren

        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
                        // Definition für Standardoperation seit JDK 1.3 möglich
        this.setVisible(true);        // Fenster anzeigen und nach vorne bringen
    }
}
