<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks® Personal Use Edition, 7.10.1 of 06. Februar 2014 on 31. Mai 2014 at 11:31:45</time-stamp>


<class>
<name>Zaehler</name>
<environment>BeringerEinfacheBsp</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>wert </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>Einfache Beispiele</category>
<attributes>
<package>einfacheBsp</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>BeringerEinfacheBsp.Zaehler class</class-id> <category>instance creation</category>

<body package="einfacheBsp" selector="new">new
	"Standardkonstruktor.
	 Zähler wird zurückgesetzt."

	^ super new reset</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>BeringerEinfacheBsp.Zaehler</class-id>
<body>Instanzen dieser Klasse repräsentieren einen einfachen Zähler, der (um 1) erhöht und (auf 0) zurückgesetzt werden kann.

Instance Variables
	wert	&lt;Integer&gt;		aktueller Stand des Zählers

**************************************
"ZaehlerTesten"

| z |

z := Zaehler new.
z erhoehen.
z wert			"&lt;Print It&gt; liefert 1"
</body>
</comment>

<methods>
<class-id>BeringerEinfacheBsp.Zaehler</class-id> <category>accessing</category>

<body package="einfacheBsp" selector="wert">wert

	^ wert</body>
</methods>

<methods>
<class-id>BeringerEinfacheBsp.Zaehler</class-id> <category>private</category>

<body package="einfacheBsp" selector="wert:">wert: neuerWert
	"Ändert den Wert des Zählers - es erfolgt jedoch keine Prüfung auf Plausibilität!"

	wert := neuerWert</body>
</methods>

<methods>
<class-id>BeringerEinfacheBsp.Zaehler</class-id> <category>berechnungen</category>

<body package="einfacheBsp" selector="erhoehen">erhoehen
	"Erhöht den Zähler um 1."

	self wert: (self wert + 1).

	"Einfacher, aber mit weniger Datenkapselung:
		wert := wert + 1.		"

	^ self wert</body>

<body package="einfacheBsp" selector="reset">reset
	"Setzt den Zähler zurück auf 0.
	 Kein expliziter Rückgabewert - somit wird das Zaehler-Objekt selbst zurückgegeben (entspricht   ^self)."

	self wert: 0

	"Einfacher, aber mit weniger Datenkapselung:
		wert := 0			"</body>
</methods>

</st-source>
