<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks® Personal Use Edition, 7.10.1 of 06. Februar 2014 on 31. Mai 2014 at 11:32:36</time-stamp>


<class>
<name>Manager</name>
<environment>BeringerOrganisation</environment>
<super>BeringerOrganisation.Mitarbeiter</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>geleiteteOrganisation </inst-vars>
<class-inst-vars>Gewinnanteil </class-inst-vars>
<imports></imports>
<category>Beispiel Organisation</category>
<attributes>
<package>organisation</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>BeringerOrganisation.Manager class</class-id> <category>accessing</category>

<body package="organisation" selector="gewinnanteil">gewinnanteil

	^ Gewinnanteil</body>

<body package="organisation" selector="gewinnanteil:">gewinnanteil: eineZahl

	Gewinnanteil := eineZahl</body>
</methods>

<methods>
<class-id>BeringerOrganisation.Manager class</class-id> <category>class initialization</category>

<body package="organisation" selector="initialize">initialize
	"Initialisiert Klassenvariable und/oder Klasseninstanzvariable."

	Manager maxGehalt: 15000.
	Manager gewinnanteil: 0.05</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>BeringerOrganisation.Manager</class-id>
<body>Instanzen dieser Klasse repräsentieren Personen, die Abteilungen oder Projekte leiten.

Class Instance Variables
	Gewinnanteil		&lt;Float&gt;		Gewinnanteil am Gewinn der geleiteten Abteilung bzw. des geleiteten Projekts


Instance Variables
	geleiteteOrganisation	&lt;Organisation&gt;	 geleitete Organisation (Abteilung oder Projekt)
</body>
</comment>

<methods>
<class-id>BeringerOrganisation.Manager</class-id> <category>accessing</category>

<body package="organisation" selector="geleiteteOrganisation">geleiteteOrganisation

	^ geleiteteOrganisation</body>

<body package="organisation" selector="geleiteteOrganisation:">geleiteteOrganisation: eineOrganisation
	"Ändert die vom Manager geleitete Organisation, ändert gegebenenfalls seinen Status in der Organisation."

	(eineOrganisation isKindOf: Organisation)
		ifTrue: [
			self organisation: eineOrganisation.
			geleiteteOrganisation := eineOrganisation.
			geleiteteOrganisation leiter: self.
			^ true
		].

	self error: eineOrganisation class name , 'ist ungültige Organisation'.
	^ false</body>
</methods>

<methods>
<class-id>BeringerOrganisation.Manager</class-id> <category>initialize-release</category>

<body package="organisation" selector="initialize">initialize
	"Initialisiert eine neu erstellte Instanz.
	 Die Bezeichnung der Stellung ist der Einfachheit halber nicht geschlechtsneutral."

	super initialize.
	self
		stellung: 'Leiter';
		grundgehalt: 5000.
	^ self</body>
</methods>

<methods>
<class-id>BeringerOrganisation.Manager</class-id> <category>berechnungen</category>

<body package="organisation" selector="verdient">verdient

	^ self grundgehalt + (geleiteteOrganisation gewinnOhnePraemie * self class gewinnanteil)</body>
</methods>

<initialize>
<class-id>BeringerOrganisation.Manager</class-id>
</initialize>

</st-source>
